use strict;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::EPagesJ::Hooks::Attribute;
use DE_EPAGES::ThirdPartyConfig::API::Constants qw (ATTRIBUTES_CATEGORY_MISC);
use Test::More;


sub Main {
    my $hParams = {
        AttributesCategory => ATTRIBUTES_CATEGORY_MISC,
    };
    DE_EPAGES::EPagesJ::Hooks::Attribute::OnGetThirdPartyConfigAttributes($hParams);
    my $hOut = $hParams->{'Attributes'}->[0];
    ok(defined $hOut->{'SectionID'}, 'section ok');
    ok(scalar keys %{$hOut->{'Attributes'}->[0]}, 'attribute keys ok');
}

RunScript( Sub => \&Main, Debug => 1 );
done_testing();

1;