use strict;
use warnings;

use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Database::API::Connection qw ( GetTestSite RunOnStore );
use DE_EPAGES::EPagesJ::API::Object::InfoClient;
use Test::More;

sub test {
    my $self = shift;
    my $Client = DE_EPAGES::EPagesJ::API::Object::InfoClient->create();
    like($Client->info(), qr/running/i, 'epagesj info page');
    like($Client->version(), qr/\d+\.\d+\.\d+/i, 'epagesj version');
}

####### Main ############
sub Main {
        RunOnStore(
            'Store' => GetTestSite(),
            'Sub'   => sub {
                test();
                done_testing();
            }
        );
}

RunScript( Sub => \&Main, Debug => 1 );
