#========================================================================================
# package      DE_EPAGES::EPagesJ::t::UriTemplate
# state        private
#========================================================================================
package DE_EPAGES::EPagesJ::t::UriTemplate;
use base Test::Class;

use Test::More;
use DE_EPAGES::EPagesJ::API::Object::UriTemplate;
use DE_EPAGES::Core::API::Script qw ( RunScript );

use strict;

sub test : Test(no_plan) {
    my $self = shift;
    my $Template = DE_EPAGES::EPagesJ::API::Object::UriTemplate->new(
        'http://somehost/rs/',
        'shops/{shopId}/products/{productId}',
        {
            'shopId' => 'DemoShop'
        }
    );
    is($Template->uri({'productId' => 'productA'})->as_string, 'http://somehost/rs/shops/DemoShop/products/productA', 'simple');
    is($Template->uri({'productId' => 'product B'})->as_string, 'http://somehost/rs/shops/DemoShop/products/product%20B', 'uri_escape');

    $Template = DE_EPAGES::EPagesJ::API::Object::UriTemplate->new(
        'http://somehost/rs/',
        '/other'
    );
    is($Template->uri->as_string, 'http://somehost/other', 'absolute path');
}

####### Main ############
RunScript(
    Sub => sub {
        Test::Class->runtests;
      }
);
